
// Author:  David Martin  <dmartin@eecs.berkeley.edu>

import java.awt.*;
import javax.swing.*;

class ScrollCorner 
    extends JPanel 
{
    JScrollBar hsb, vsb;

    public ScrollCorner (JScrollBar hsb, JScrollBar vsb) {
	this.hsb = hsb;
	this.vsb = vsb;
    }

    public Dimension getMaximumSize () {
	return getPreferredSize ();
    }

    public Dimension getPreferredSize () {
	return new Dimension (
	    vsb.getPreferredSize().width,
	    hsb.getPreferredSize().height);
    }
}
